%define		_modname	expect
%define		_status		beta
Summary:	%{_modname} - PHP extension for expect library
Summary(pl.UTF-8):	%{_modname} - rozszerzenie PHP dla biblioteki expect
Name:		php-pecl-%{_modname}
Version:	0.3.1
Release:	3
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	834eeff610b86f7dae68dc788f75e35b
URL:		http://pecl.php.net/package/expect/
BuildRequires:	expect-devel
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension allows to interact with processes through PTY, using
expect library.

In PECL status of this extension is: %{_status}.

%description -l pl.UTF-8
To rozszerzenie pozwala na interakcję z procesami poprzez PTY przy
użyciu biblioteki expect.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c
cd %{_modname}-%{version}

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 293ce50
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 73225c5
- release 2 (by relup.sh)

* Fri Jun 08 2012 Łukasz Kieś <kiesiu@pld-linux.org> a492e80
- obsoleted

* Fri Jun 08 2012 Łukasz Kieś <kiesiu@pld-linux.org> b26ac46
- updated to 0.3.1
- tcl patch is not required anymore

* Wed Nov 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3add1b1
- rel 3; expect.h uses tcl types, so linking with libtcl is needed

* Wed Nov 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> fb1faff
- release 2

* Sun Jul 03 2011 Adam Gołębiowski <adamg@pld-linux.org> 988a80d
- updated to 0.3.0

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 47797e2
- release 4

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f25459
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> efc750e
- release 2

* Thu Aug 20 2009 amateja <amateja@pld-linux.org> 0a46c8c
- updated to 0.2.6

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> a218a26
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> dc80feb
- updated to 0.2.5

* Thu Aug 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 273db2c
- up to 0.2.4

* Sat Jul 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3741ca3
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 23da896
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b4cdc3e
- converted to UTF-8

* Wed Dec 20 2006 Elan Ruusamäe <glen@pld-linux.org> 11533cd
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 81dd4fe
- update to 0.2.2

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 47b5592
- BR rpmmacros for fixed %requires_php_extension

